<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>libmcm: mcm-control.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">libmcm
   &#160;<span id="projectnumber">1.1.0</span>
   </div>
   <div id="projectbrief">A client library for Moxa Connection Management</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">mcm-control.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="mcm-control_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160; </div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="preprocessor">#ifndef _MCM_CONTROL_H_</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#define _MCM_CONTROL_H_</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160; </div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="keywordtype">int</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<a class="code" href="mcm-control_8h.html#a88be1af5a60eeebc99157b7dd506a760">mcm_control_start</a> (<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160; </div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="keywordtype">int</span></div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<a class="code" href="mcm-control_8h.html#a5401ca406e4eaa8a98c52a2299ccd512">mcm_control_stop</a> (<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160; </div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="keywordtype">int</span></div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<a class="code" href="mcm-control_8h.html#a499289897c801b7541ba651817de8945">mcm_control_reload</a> (<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160; </div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160; </div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;<span class="keyword">const</span> <span class="keywordtype">char</span> *</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;<a class="code" href="mcm-control_8h.html#a3f7664dc286ccda6b00b66706e52a66d">mcm_control_get_state</a> (<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160; </div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="ttc" id="amcm-control_8h_html_a3f7664dc286ccda6b00b66706e52a66d"><div class="ttname"><a href="mcm-control_8h.html#a3f7664dc286ccda6b00b66706e52a66d">mcm_control_get_state</a></div><div class="ttdeci">const char * mcm_control_get_state(void)</div><div class="ttdoc">A helper function to stop MCMD.</div><div class="ttdef"><b>Definition:</b> mcm-control.c:118</div></div>
<div class="ttc" id="amcm-control_8h_html_a499289897c801b7541ba651817de8945"><div class="ttname"><a href="mcm-control_8h.html#a499289897c801b7541ba651817de8945">mcm_control_reload</a></div><div class="ttdeci">int mcm_control_reload(void)</div><div class="ttdoc">A helper function to reload configure files.</div><div class="ttdef"><b>Definition:</b> mcm-control.c:84</div></div>
<div class="ttc" id="amcm-control_8h_html_a5401ca406e4eaa8a98c52a2299ccd512"><div class="ttname"><a href="mcm-control_8h.html#a5401ca406e4eaa8a98c52a2299ccd512">mcm_control_stop</a></div><div class="ttdeci">int mcm_control_stop(void)</div><div class="ttdoc">A helper function to stop MCMD.</div><div class="ttdef"><b>Definition:</b> mcm-control.c:50</div></div>
<div class="ttc" id="amcm-control_8h_html_a88be1af5a60eeebc99157b7dd506a760"><div class="ttname"><a href="mcm-control_8h.html#a88be1af5a60eeebc99157b7dd506a760">mcm_control_start</a></div><div class="ttdeci">int mcm_control_start(void)</div><div class="ttdoc">A helper function to start MCMD.</div><div class="ttdef"><b>Definition:</b> mcm-control.c:16</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
